		--Icon function
		local function Icon(arg1, arg2, arg3, arg4)
		local f = CreateFrame("Frame",nil,arg1)
		f:SetFrameStrata("HIGH")
		f:SetWidth(64) 
		f:SetHeight(64)
		local t = f:CreateTexture(nil,"BACKGROUND")
		t:SetTexture("Interface\\AddOns\\miirGui\\gfx\\"..arg2)
		t:SetAllPoints(f)
		f.texture = t
		f:SetPoint("Topleft",arg3,arg4)
		f:Show() 		
		end

			local _, class = UnitClass("player")
			if class == "WARLOCK" then
				Icon(CharacterFrame, "class_icons\\warlock", -8, 9)
			end
			if class == "WARRIOR" then
				Icon(CharacterFrame, "class_icons\\warrior", -8, 9)
			end
			if class == "SHAMAN" then
				Icon(CharacterFrame, "class_icons\\shaman", -8, 9)
			end
			if class == "ROGUE" then
				Icon(CharacterFrame, "class_icons\\rogue", -8, 9)
			end		
			if class == "PRIEST" then
				Icon(CharacterFrame, "class_icons\\priest", -8, 9)
			end		
			if class == "PALADIN" then
				Icon(CharacterFrame, "class_icons\\paladin", -8, 9)
			end
			if class == "DRUID" then
				Icon(CharacterFrame, "class_icons\\druid", -8, 9)
			end
			if class == "HUNTER" then
				Icon(CharacterFrame, "class_icons\\hunter", -8, 9)
			end	
			if class == "MAGE" then
				Icon(CharacterFrame, "class_icons\\mage", -8, 9)
			end
			if class == "DEATHKNIGHT" then
				Icon(CharacterFrame, "class_icons\\deathknight", -8, 9)
			end